Skip to content

Update a report template

PATCH
/api/v1/reports/templates/{template_id}
curl --request PATCH \
--url https://api.ultimateteam.ai/api/v1/reports/templates/example \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "delivery_email": "example", "description": "example", "filters": {}, "groupings": [ "example" ], "metric_ids": [ "example" ], "name": "example", "output_format": "example", "schedule": "example", "shared_with_tenant": true }'

Update allowed fields on a report template. Rejects attempts to change tenant_id, id, or created_by_user_id.

template_id
required
Template Id
string
Media typeapplication/json
ReportTemplateUpdate

Schema for updating an existing report template.

All fields are optional; only provided fields are updated.

object
delivery_email
Any of:
string
description
Any of:
string
filters
Any of:
object
key
additional properties
any
groupings
Any of:
Array<string>
metric_ids
Any of:
Array<string>
name
Any of:
string
<= 120 characters
output_format
Any of:
string
schedule
Any of:
string
shared_with_tenant
Any of:
boolean
Examplegenerated
{
"delivery_email": "example",
"description": "example",
"filters": {},
"groupings": [
"example"
],
"metric_ids": [
"example"
],
"name": "example",
"output_format": "example",
"schedule": "example",
"shared_with_tenant": true
}

Successful Response

Media typeapplication/json
Response Update Report Template Api V1 Reports Templates Template Id Patch
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}